***this file creates the migration databases***;

#delimit;
clear;
set more off;
set mem 200m;
set matsize 300;


use C:\Alon\CR_migration\migration.dta;

gen developing=(scode==213|scode==223|scode==228|scode==924|scode==233|scode==248|scode==469|scode==534|scode==443
|scode==548|scode==273|scode==694|scode==293|scode==566|scode==456|scode==199|scode==578|scode==186|scode==299);


joinby scode using C:\Alon\CR_migration\S_domestic_labor.dta,unm(both);
drop _m;
sort scode hcode;

replace mig1990low_new=low1990 if scode==hcode;
replace mig1990med_new=med1990 if scode==hcode;
replace mig1990high_new=high1990 if scode==hcode;
replace mig2000low_new=low2000 if scode==hcode;
replace mig2000med_new=med2000 if scode==hcode;
replace mig2000high_new=high2000 if scode==hcode;
replace mig1990_new=mig1990low_new+mig1990med_new+mig1990high_new if scode==hcode;
replace mig2000_new=mig2000low_new+mig2000med_new+mig2000high_new if scode==hcode;

gen sigma90=mig1990high_new/mig1990_new;
gen sigma00=mig2000high_new/mig2000_new;

egen s_low1990_new=max(mig1990low_new),by (scode);
egen s_med1990_new=max(mig1990med_new),by (scode);
egen s_high1990_new=max(mig1990high_new),by (scode);
egen s_low2000_new=max(mig2000low_new),by (scode);
egen s_med2000_new=max(mig2000med_new),by (scode);
egen s_high2000_new=max(mig2000high_new),by (scode);

gen ps_mig1990low_new=100*mig1990low_new/s_low1990_new;
gen ps_mig1990med_new=100*mig1990med_new/s_med1990_new;
gen ps_mig1990high_new=100*mig1990high_new/s_high1990_new;
gen ps_mig2000low_new=100*mig2000low_new/s_low2000_new;
gen ps_mig2000med_new=100*mig2000med_new/s_med2000_new;
gen ps_mig2000high_new=100*mig2000high_new/s_high2000_new;
gen ps_mig1990_new=100*mig1990_new/(s_low1990_new+s_med1990_new+s_high1990_new);
gen ps_mig2000_new=100*mig2000_new/(s_low2000_new+s_med2000_new+s_high2000_new);

gen ps_h_l2000_new=ps_mig2000high_new-ps_mig2000low_new;
gen ps_h_l1990_new=ps_mig1990high_new-ps_mig1990low_new;

gen ps_h_m2000_new=ps_mig2000high_new-ps_mig2000med_new;
gen ps_h_m1990_new=ps_mig1990high_new-ps_mig1990med_new;

gen ps_m_l2000_new=ps_mig2000med_new-ps_mig2000low_new;
gen ps_m_l1990_new=ps_mig1990med_new-ps_mig1990low_new;

gen h_l_flow=ps_h_l2000-ps_h_l1990;
gen m_l_flow=ps_m_l2000-ps_m_l1990;
gen h_m_flow=ps_h_m2000-ps_h_m1990;

gen h_l_flow_new=ps_h_l2000_new-ps_h_l1990_new ;
gen m_l_flow_new=ps_m_l2000_new-ps_m_l1990_new ;
gen h_m_flow_new=ps_h_m2000_new-ps_h_m1990_new ;


keep sigma* *_new scode hcode scountry developing;


save C:\Alon\CR_migration\migration_copy.dta, replace;

********************************************************************;
********************************************************************;
********************************************************************;

use C:\Alon\CR_migration\migration_copy.dta;

joinby scode hcode using C:\Alon\CR_migration\fdi_102004_workfile.dta,unm(both);
drop _m;



keep if (hcountry=="Austria" | hcountry=="Belgium" | hcountry=="Denmark" | hcountry=="Finland" | hcountry=="France" | 
hcountry=="Germany" | hcountry=="Greece" | hcountry=="Ireland" |hcountry=="Italy" | hcountry=="Netherlands" | 
hcountry=="Norway" | hcountry=="Portugal" | hcountry=="Spain" | hcountry=="Sweden" | hcountry=="Switzerland" | 
hcountry=="UK" |scode==hcode);


gen Free=(scountry=="Austria" | scountry=="Belgium" | scountry=="Denmark" | scountry=="Finland" | scountry=="France" | 
scountry=="Germany" | scountry=="Greece" | scountry=="Ireland" |scountry=="Italy" | scountry=="Netherlands" | 
scountry=="Norway" | scountry=="Portugal" | scountry=="Spain" | scountry=="Sweden" | scountry=="Switzerland" | 
scountry=="UK" );


gen pcode=scode*hcode;

***legal origin dummy variables;

gen h_french=(hcode==174|hcode==138|hcode==136|hcode==182|hcode==184|hcode==124|hcode==132|hcode==964);
gen h_scandinavian=(hcode==176|hcode==128|hcode==142|hcode==144|hcode==172);
gen h_english=(hcode==112|hcode==178);
gen h_german=(hcode==146|hcode==122|hcode==134|hcode==944|hcode==935);
gen h_ger_fre=h_french+h_german;


*******************************************;


gen lh1990_benefit_pc2=.;
replace lh1990_benefit_pc2=7.356854	   if hcode==112;
replace lh1990_benefit_pc2=7.936669	   if hcode==122;
replace lh1990_benefit_pc2=8.243264	   if hcode==124;
replace lh1990_benefit_pc2=8.183059	   if hcode==128;
replace lh1990_benefit_pc2=8.245379	   if hcode==132;
replace lh1990_benefit_pc2=7.836204	   if hcode==134;
replace lh1990_benefit_pc2=8.118244	   if hcode==136;
replace lh1990_benefit_pc2=8.23401	   if hcode==138;
replace lh1990_benefit_pc2=7.996099    if hcode==142;
replace lh1990_benefit_pc2=8.541639	   if hcode==144;
replace lh1990_benefit_pc2=8.105394	   if hcode==146;
replace lh1990_benefit_pc2=8.096037	   if hcode==172;
replace lh1990_benefit_pc2=7.844798	   if hcode==174;
replace lh1990_benefit_pc2=7.286938696 if hcode==178;
replace lh1990_benefit_pc2=7.719279	   if hcode==182;
replace lh1990_benefit_pc2=7.296605	   if hcode==184;

sort scode hcode;
gen ldistance=log(1+distance);

gen restrict=1-Free;



gen home=(scode==hcode);




save C:\Alon\CR_migration\mig_fdi102004.dta,replace;

*************************************************************;
*************************************************************;

use C:\Alon\CR_migration\mig_fdi102004.dta;
sort scode hcode yearid;
drop if yearid>3;
order scode hcode scountry hcountry ;
destring h_ethfrac, replace force;
destring s_ethfrac, replace force;

collapse  mig1990_n-home,by(scode hcode);

sort hcode scode;
gen source=".";
replace source =	"	US	"	if scode ==	111	;
replace source =	"	UK	"	if scode ==	112	;
replace source =	"	Austria	"	if scode ==	122	;
replace source =	"	Belgium	"	if scode ==	124	;
replace source =	"	Denmark	"	if scode ==	128	;
replace source =	"	France	"	if scode ==	132	;
replace source =	"	Germany	"	if scode ==	134	;
replace source =	"	Italy	"	if scode ==	136	;
replace source =	"	Netherlands	"	if scode ==	138	;
replace source =	"	Norway	"	if scode ==	142	;
replace source =	"	Sweden	"	if scode ==	144	;
replace source =	"	Switzerland	"	if scode ==	146	;
replace source =	"	Canada	"	if scode ==	156	;
replace source =	"	Japan	"	if scode ==	158	;
replace source =	"	Finland	"	if scode ==	172	;
replace source =	"	Greece	"	if scode ==	174	;
replace source =	"	Ireland	"	if scode ==	178	;
replace source =	"	Portugal	"	if scode ==	182	;
replace source =	"	Spain	"	if scode ==	184	;
replace source =	"	Turkey	"	if scode ==	186	;
replace source =	"	Australia	"	if scode ==	193	;
replace source =	"	New Zealand	"	if scode ==	196	;
replace source =	"	South Africa	"	if scode ==	199	;
replace source =	"	Argentina	"	if scode ==	213	;
replace source =	"	Brazil	"	if scode ==	223	;
replace source =	"	Chile	"	if scode ==	228	;
replace source =	"	Colombia	"	if scode ==	233	;
replace source =	"	Ecuador	"	if scode ==	248	;
replace source =	"	Mexico	"	if scode ==	273	;
replace source =	"	Peru	"	if scode ==	293	;
replace source =	"	Venezuela	"	if scode ==	299	;
replace source =	"	Israel	"	if scode ==	436	;
replace source =	"	Kuwait	"	if scode ==	443	;
replace source =	"	Saudi Arabia	"	if scode ==	456	;
replace source =	"	Egypt	"	if scode ==	469	;
replace source =	"	Taiwan	"	if scode ==	528	;
replace source =	"	Hong Kong	"	if scode ==	532	;
replace source =	"	India	"	if scode ==	534	;
replace source =	"	Korea	"	if scode ==	542	;
replace source =	"	Malaysia	"	if scode ==	548	;
replace source =	"	Philippines	"	if scode ==	566	;
replace source =	"	Singapore	"	if scode ==	576	;
replace source =	"	Thailand	"	if scode ==	578	;
replace source =	"	Nigeria	"	if scode ==	694	;
replace source =	"	China	"	if scode ==	924	;


gen host=".";
replace host =	"	US	"	if hcode ==	111	;
replace host =	"	UK	"	if hcode ==	112	;
replace host =	"	Austria	"	if hcode ==	122	;
replace host =	"	Belgium	"	if hcode ==	124	;
replace host =	"	Denmark	"	if hcode ==	128	;
replace host =	"	France	"	if hcode ==	132	;
replace host =	"	Germany	"	if hcode ==	134	;
replace host =	"	Italy	"	if hcode ==	136	;
replace host =	"	Netherlands	"	if hcode ==	138	;
replace host =	"	Norway	"	if hcode ==	142	;
replace host =	"	Sweden	"	if hcode ==	144	;
replace host =	"	Switzerland	"	if hcode ==	146	;
replace host =	"	Canada	"	if hcode ==	156	;
replace host =	"	Japan	"	if hcode ==	158	;
replace host =	"	Finland	"	if hcode ==	172	;
replace host =	"	Greece	"	if hcode ==	174	;
replace host =	"	Ireland	"	if hcode ==	178	;
replace host =	"	Portugal	"	if hcode ==	182	;
replace host =	"	Spain	"	if hcode ==	184	;
replace host =	"	Turkey	"	if hcode ==	186	;
replace host =	"	Australia	"	if hcode ==	193	;
replace host =	"	New Zealand	"	if hcode ==	196	;
replace host =	"	South Africa	"	if hcode ==	199	;
replace host =	"	Argentina	"	if hcode ==	213	;
replace host =	"	Brazil	"	if hcode ==	223	;
replace host =	"	Chile	"	if hcode ==	228	;
replace host =	"	Colombia	"	if hcode ==	233	;
replace host =	"	Ecuador	"	if hcode ==	248	;
replace host =	"	Mexico	"	if hcode ==	273	;
replace host =	"	Peru	"	if hcode ==	293	;
replace host =	"	Venezuela	"	if hcode ==	299	;
replace host =	"	Israel	"	if hcode ==	436	;
replace host =	"	Kuwait	"	if hcode ==	443	;
replace host =	"	Saudi Arabia	"	if hcode ==	456	;
replace host =	"	Egypt	"	if hcode ==	469	;
replace host =	"	Taiwan	"	if hcode ==	528	;
replace host =	"	Hong Kong	"	if hcode ==	532	;
replace host =	"	India	"	if hcode ==	534	;
replace host =	"	Korea	"	if hcode ==	542	;
replace host =	"	Malaysia	"	if hcode ==	548	;
replace host =	"	Philippines	"	if hcode ==	566	;
replace host =	"	Singapore	"	if hcode ==	576	;
replace host =	"	Thailand	"	if hcode ==	578	;
replace host =	"	Nigeria	"	if hcode ==	694	;
replace host =	"	China	"	if hcode ==	924	;


gen hdomestic90low= mig1990low_new if scode==hcode;
egen hdomestic90low2=mean(hdomestic90low),by(hcode);
drop hdomestic90low;
rename hdomestic90low2 hdomestic90low;
gen hdomestic00low= mig2000low_new if scode==hcode;
egen hdomestic00low2=mean(hdomestic00low),by(hcode);
drop hdomestic00low;
rename hdomestic00low2 hdomestic00low;

gen hdomestic90med= mig1990med_new if scode==hcode;
egen hdomestic90med2=mean(hdomestic90med),by(hcode);
drop hdomestic90med;
rename hdomestic90med2 hdomestic90med;
gen hdomestic00med= mig2000med_new if scode==hcode;
egen hdomestic00med2=mean(hdomestic00med),by(hcode);
drop hdomestic00med;
rename hdomestic00med2 hdomestic00med;

gen hdomestic90high= mig1990high_new if scode==hcode;
egen hdomestic90high2=mean(hdomestic90high),by(hcode);
drop hdomestic90high;
rename hdomestic90high2 hdomestic90high;
gen hdomestic00high= mig2000high_new if scode==hcode;
egen hdomestic00high2=mean(hdomestic00high),by(hcode);
drop hdomestic00high;
rename hdomestic00high2 hdomestic00high;

gen lhdomestic90low=log(hdomestic90low);
gen lhdomestic00low=log(hdomestic00low);
gen lhdomestic90med=log(hdomestic90med);
gen lhdomestic00med=log(hdomestic00med);
gen lhdomestic90high=log(hdomestic90high);
gen lhdomestic00high=log(hdomestic00high);


gen inv_distance=distance^(-1);
egen tinv_dist=total(inv_distance), by (scode);
gen h1990_benefit_pc2=exp(lh1990_benefit_pc2);
gen wlbenefit=lh1990_benefit_pc2*inv_distance;
egen twlbenefit=total(wlbenefit),by(scode);
gen alt_benefit=(twlbenefit-wlbenefit)*tinv_dist;


sort scode hcode;
order scode hcode source host;



save C:\Alon\CR_migration\mig_fdi102004_year1_3,replace;

*************************************************************;
*************************************************************;

use C:\Alon\CR_migration\mig_fdi102004.dta;
order scode hcode scountry hcountry;
destring h_ethfrac, replace force;
destring s_ethfrac, replace force;

collapse  mig1990_n-home,by(scode hcode);

save C:\Alon\CR_migration\mig_fdi102004_years1_6.dta,replace;

*************************************************************;
*************************************************************;

use C:\Alon\CR_migration\migration_copy.dta;


keep if (scountry=="Austria" | scountry=="Belgium" | scountry=="Denmark" | scountry=="Finland" | scountry=="France" | 
scountry=="Germany" | scountry=="Greece" | scountry=="Ireland" |scountry=="Italy" | scountry=="Netherlands" | 
scountry=="Norway" | scountry=="Portugal" | scountry=="Spain" | scountry=="Sweden" | scountry=="Switzerland" | 
scountry=="UK" );


joinby scode hcode using C:\Alon\CR_migration\DD.dta,unm(both);
drop _m;

drop if scode==137|scode==176|scode==935|scode==944|scode==964| 
hcode==137|hcode==176|hcode==935|hcode==944|hcode==964;

sort scode hcode ;



**** robustness variables;

gen eu95=(scode==122|scode==144|scode==172|hcode==122|hcode==144|hcode==172);
gen eu95a=(eu95|scode==142|scode==146|hcode==142|hcode==146);

replace s_union=40 if scode==146;
replace h_union=40 if hcode==146;

* the latter supplement is taken from table 5.2 in Jonas Pantusson "Inequality and Prosperity";

/* the following adjust minor incompatability found in double checking the main variable: benefits.
The benefits are averaged from 1974-1990 and is relied solely on razin, sadka and swagell data*/

replace ls1990=7.286938696 if scode==178;
replace lh1990=7.286938696 if hcode==178;

/* the following are additional data on Greece's defense expenses which became available, and minor correction
on the same data for Austria, due to the updataed data from oecd.stat on August 2008*/

replace  h_defence=0.989902606 if hcode==122;
replace  s_defence=0.989902606 if scode==122;
replace  h_defence=2.495455262 if hcode==174;
replace  s_defence=2.495455262 if scode==174;



gen lben_h=log(h_rgdpwok1990*(h1990_itax- h_defence));
gen lben_s=log(s_rgdpwok1990*(s1990_itax- s_defence));
sort scode hcode;

save C:\Alon\CR_migration\mig_DD.dta,replace;


