***this file creates reconstruct migration OLs regression w.r.t the 16 countries***;

#delimit;
clear;
set more off;
set mem 200m;
set matsize 300;

use C:\Alon\CR_migration\mig_DD.dta;


******************************************;
**************Welfare Regressions*********************;
******************************************;

/* 
an example to outreg command:
outreg comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 lh1990 ls1990 ps_mig1990 
using "C:\Alon\ThirdWork\DD\results\welfare_total", se bdec(3) tdec(3) nocons nolabel 3aster replace;
*/

********************************************************************************************************;
******************************ALL Regression should also be computed wrt lh2000*************************;
******************************HOWEVER: lh2000 is computed from a different series than lh1990 ***********;
********************************************************************************************************;
*****ALL Regression should also include, alternatively, the decomposed, lagged dependent variable*******;
*********************************************************************************************************;

******No controls***;
reg  ps_h_l2000_new lh1990 if home~=1, robust cluster(pcode);
outreg lh1990 using "C:\Alon\CR_migration\Outreg\nocontrols", se bdec(3) tdec(3) nocons nolabel 3aster replace;

reg  ps_h_l2000_new  ps_mig1990low_new ps_mig1990high_new lh1990 if home~=1, robust cluster(pcode);
outreg lh1990 ps_mig1990low_new ps_mig1990high_new 
 using "C:\Alon\CR_migration\Outreg\nocontrols", se bdec(3) tdec(3) nocons nolabel 3aster append;

reg  ps_m_l2000_new lh1990 if home~=1, robust cluster(pcode);
outreg lh1990 using "C:\Alon\CR_migration\Outreg\nocontrols", se bdec(3) tdec(3) nocons nolabel 3aster append;

reg  ps_h_l2000_new  ps_mig1990low_new ps_mig1990med_new lh1990 if home~=1, robust cluster(pcode);
outreg lh1990 ps_mig1990low_new ps_mig1990med_new 
 using "C:\Alon\CR_migration\Outreg\nocontrols", se bdec(3) tdec(3) nocons nolabel 3aster append;


reg  ps_h_m2000_new lh1990 if home~=1, robust cluster(pcode);


*****The Main Estimation***;
reg ps_h_l2000_new comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 lh1990 ls1990 if home~=1, robust cluster(pcode);
outreg lh1990 ls1990 comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 
using "C:\Alon\CR_migration\Outreg\main", se bdec(3) tdec(3) nocons nolabel 3aster replace;

reg ps_h_l2000_new comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 lh1990 ls1990 ps_mig1990low_new ps_mig1990high_new 
if home~=1, robust cluster(pcode);
outreg lh1990 ls1990 comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 ps_mig1990low_new ps_mig1990high_new
using "C:\Alon\CR_migration\Outreg\main", se bdec(3) tdec(3) nocons nolabel 3aster append;

reg ps_m_l2000_new comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 lh1990 ls1990 if home~=1, robust cluster(pcode);
outreg lh1990 ls1990 comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 
using "C:\Alon\CR_migration\Outreg\main", se bdec(3) tdec(3) nocons nolabel 3aster append;

reg ps_m_l2000_new comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 lh1990 ls1990 ps_mig1990low_new ps_mig1990med_new 
if home~=1, robust cluster(pcode);
outreg lh1990 ls1990 comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 ps_mig1990low_new ps_mig1990med_new
using "C:\Alon\CR_migration\Outreg\main", se bdec(3) tdec(3) nocons nolabel 3aster append;


reg ps_h_m2000_new comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 lh1990 ls1990 if home~=1, robust cluster(pcode);


*****Specifying benefits using defence measure***;
reg ps_h_l2000_new comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 lben_h lben_s if home~=1, robust cluster(pcode);
outreg lben_h lben_s comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 
using "C:\Alon\CR_migration\Outreg\alternative", se bdec(3) tdec(3) nocons nolabel 3aster replace;

reg ps_h_l2000_new comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 lben_h lben_s ps_mig1990low_new ps_mig1990high_new 
if home~=1, robust cluster(pcode);
outreg lben_h lben_s comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 ps_mig1990low_new ps_mig1990high_new 
using "C:\Alon\CR_migration\Outreg\alternative", se bdec(3) tdec(3) nocons nolabel 3aster append;

reg ps_m_l2000_new comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 lben_h lben_s if home~=1, robust cluster(pcode);
outreg lben_h lben_s comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 
using "C:\Alon\CR_migration\Outreg\alternative", se bdec(3) tdec(3) nocons nolabel 3aster append;

reg ps_m_l2000_new comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 lben_h lben_s ps_mig1990low_new ps_mig1990med_new
 if home~=1, robust cluster(pcode);
outreg lben_h lben_s comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 ps_mig1990low_new ps_mig1990med_new
using "C:\Alon\CR_migration\Outreg\alternative", se bdec(3) tdec(3) nocons nolabel 3aster append;

reg ps_h_m2000_new comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 lben_h lben_s if home~=1, robust cluster(pcode);


****Isolating late joiners to the 4 freedoms treaties***;
reg ps_h_l2000_new comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 lh1990 ls1990  eu95a if 
home~=1, robust cluster(pcode) ;
outreg lh1990 ls1990 comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 eu95a
using "C:\Alon\CR_migration\Outreg\eu95", se bdec(3) tdec(3) nocons nolabel 3aster replace;

reg ps_h_l2000_new comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 lh1990 ls1990 eu95a
ps_mig1990low_new ps_mig1990high_new if home~=1, robust cluster(pcode) ;
outreg lh1990 ls1990 comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 eu95a
ps_mig1990low_new ps_mig1990high_new 
using "C:\Alon\CR_migration\Outreg\eu95", se bdec(3) tdec(3) nocons nolabel 3aster append;

reg ps_m_l2000_new comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 lh1990 ls1990 eu95a if 
home~=1, robust cluster(pcode) ;
outreg lh1990 ls1990 comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 eu95a
using "C:\Alon\CR_migration\Outreg\eu95", se bdec(3) tdec(3) nocons nolabel 3aster append;

reg ps_m_l2000_new comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 lh1990 ls1990 eu95a
ps_mig1990low_new ps_mig1990med_new if home~=1, robust cluster(pcode) ;
outreg lh1990 ls1990 comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 eu95a
ps_mig1990low_new ps_mig1990med_new 
using "C:\Alon\CR_migration\Outreg\eu95", se bdec(3) tdec(3) nocons nolabel 3aster append;

reg ps_h_m2000_new comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 lh1990 ls1990 eu95a if home~=1, 
robust cluster(pcode) ;


****Adding Openness***;
reg ps_h_l2000_new comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 lh1990 ls1990  s1990_open h1990_open if 
home~=1, robust cluster(pcode) ;
outreg lh1990 ls1990 comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 h1990_open s1990_open  
using "C:\Alon\CR_migration\Outreg\open", se bdec(3) tdec(3) nocons nolabel 3aster replace;

reg ps_h_l2000_new comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 lh1990 ls1990 h1990_open s1990_open
ps_mig1990low_new ps_mig1990high_new if home~=1, robust cluster(pcode) ;
outreg lh1990 ls1990 comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 h1990_open s1990_open 
ps_mig1990low_new ps_mig1990high_new 
using "C:\Alon\CR_migration\Outreg\open", se bdec(3) tdec(3) nocons nolabel 3aster append;

reg ps_m_l2000_new comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 lh1990 ls1990 h1990_open s1990_open if 
home~=1, robust cluster(pcode) ;
outreg lh1990 ls1990 comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 h1990_open s1990_open 
using "C:\Alon\CR_migration\Outreg\open", se bdec(3) tdec(3) nocons nolabel 3aster append;

reg ps_m_l2000_new comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 lh1990 ls1990 h1990_open s1990_open
ps_mig1990low_new ps_mig1990med_new if home~=1, robust cluster(pcode) ;
outreg lh1990 ls1990 comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 h1990_open s1990_open
ps_mig1990low_new ps_mig1990med_new 
using "C:\Alon\CR_migration\Outreg\open", se bdec(3) tdec(3) nocons nolabel 3aster append;

reg ps_h_m2000_new comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 lh1990 ls1990 s1990_open h1990_open if home~=1, 
robust cluster(pcode) ;


*****Adding unemployment***; 
reg ps_h_l2000_new comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 lh1990 ls1990  s1990_unemp2  h1990_unemp2 if 
home~=1, robust cluster(pcode) ;
outreg lh1990 ls1990 comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 h1990_unemp2 s1990_unemp2  
using "C:\Alon\CR_migration\Outreg\unemployment", se bdec(3) tdec(3) nocons nolabel 3aster replace;

reg ps_h_l2000_new comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 lh1990 ls1990 h1990_unemp2 s1990_unemp2
ps_mig1990low_new ps_mig1990high_new if home~=1, robust cluster(pcode) ;
outreg lh1990 ls1990 comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 h1990_unemp2 s1990_unemp2 
ps_mig1990low_new ps_mig1990high_new 
using "C:\Alon\CR_migration\Outreg\unemployment", se bdec(3) tdec(3) nocons nolabel 3aster append;

reg ps_m_l2000_new comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 lh1990 ls1990 h1990_unemp2 s1990_unemp2 if 
home~=1, robust cluster(pcode) ;
outreg lh1990 ls1990 comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 h1990_unemp2 s1990_unemp2  
using "C:\Alon\CR_migration\Outreg\unemployment", se bdec(3) tdec(3) nocons nolabel 3aster append;

reg ps_m_l2000_new comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 lh1990 ls1990 h1990_unemp2 s1990_unemp2 
ps_mig1990low_new ps_mig1990med_new if home~=1, robust cluster(pcode) ;
outreg lh1990 ls1990 comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 h1990_unemp2 s1990_unemp2 
ps_mig1990low_new ps_mig1990med_new 
using "C:\Alon\CR_migration\Outreg\unemployment", se bdec(3) tdec(3) nocons nolabel 3aster append;


reg ps_h_m2000_new comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 lh1990 ls1990 h1990_unemp s1990_unemp if 
home~=1, robust cluster(pcode) ;


****IV using coverage rates***;
ivreg ps_h_l2000_new comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 (lh1990 ls1990=s_union h_union)  
 if home~=1 , robust cluster(pcode);
outreg lh1990 ls1990 comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 
using "C:\Alon\CR_migration\Outreg\iv", se bdec(3) tdec(3) nocons nolabel 3aster replace;

ivreg ps_h_l2000_new comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 ps_mig1990low_new ps_mig1990high_new 
(lh1990 ls1990=s_union h_union)   if home~=1 , robust cluster(pcode);
outreg lh1990 ls1990 comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 ps_mig1990low_new ps_mig1990high_new
using "C:\Alon\CR_migration\Outreg\iv", se bdec(3) tdec(3) nocons nolabel 3aster append;


ivreg ps_m_l2000_new comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 (lh1990 ls1990=s_union h_union)  
 if home~=1 , robust cluster(pcode);
outreg lh1990 ls1990 comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 
using "C:\Alon\CR_migration\Outreg\iv", se bdec(3) tdec(3) nocons nolabel 3aster append;

ivreg ps_m_l2000_new comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 ps_mig1990low_new ps_mig1990med_new 
(lh1990 ls1990=s_union h_union)   if home~=1 , robust cluster(pcode);
outreg lh1990 ls1990 comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 ps_mig1990low_new ps_mig1990med_new
using "C:\Alon\CR_migration\Outreg\iv", se bdec(3) tdec(3) nocons nolabel 3aster append;

ivreg ps_h_m2000_new comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 (lh1990 ls1990=s_union h_union)  
 if home~=1 , robust cluster(pcode);



*******IV using legal origin;
ivreg ps_h_l2000_n comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 
(lh1990 ls1990=  s_scandinavian s_english h_scandinavian h_english)   if home~=1 , robust cluster(pcode);
outreg lh1990 ls1990 comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 
using "C:\Alon\CR_migration\Outreg\iv_LO", se bdec(3) tdec(3) nocons nolabel 3aster replace;

ivreg ps_h_l2000_n  ps_mig1990low_new ps_mig1990high_new  comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 
(lh1990 ls1990=  s_scandinavian s_english h_scandinavian h_english)   if home~=1 , robust cluster(pcode);
outreg lh1990 ls1990 comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 ps_mig1990low_new ps_mig1990high_new  
using "C:\Alon\CR_migration\Outreg\iv_LO", se bdec(3) tdec(3) nocons nolabel 3aster append;


ivreg ps_m_l2000_n comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 
(lh1990 ls1990=  s_scandinavian s_english h_scandinavian h_english)   if home~=1 , robust cluster(pcode);
outreg lh1990 ls1990 comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 
using "C:\Alon\CR_migration\Outreg\iv_LO", se bdec(3) tdec(3) nocons nolabel 3aster append;

ivreg ps_m_l2000_n  ps_mig1990low_new ps_mig1990med_new  comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 
(lh1990 ls1990=  s_scandinavian s_english h_scandinavian h_english)   if home~=1 , robust cluster(pcode);
outreg lh1990 ls1990 comlang ldistance lh_rgdpwok1990 ls_rgdpwok1990 ps_mig1990low_new ps_mig1990med_new  
using "C:\Alon\CR_migration\Outreg\iv_LO", se bdec(3) tdec(3) nocons nolabel 3aster append;

