***this file creates computes OLS regressions w.r.t all 45 countries***;
***dependent variable is the difference in emigration rates across skills***;


#delimit;
clear;
set more off;
set mem 200m;
set matsize 300;

use C:\Alon\CR_migration\CR_database.dta; 

/*gen ps_h_l_new =ps_h_l2000_new - ps_h_l1990_new ;

gen res_lh1990=restrict*lh1990;
gen res_ps_mig1990low_new=restrict*ps_mig1990low_new;
gen res_ps_mig1990med_new=restrict*ps_mig1990med_new;
gen res_ps_mig1990high_new=restrict*ps_mig1990high_new;
gen res_lhdomestic90low=restrict*lhdomestic90low;
gen res_lhdomestic90med=restrict*lhdomestic90med;
gen res_lhdomestic90high=restrict*lhdomestic90high;

gen fre_lhdomestic90high=Free*lhdomestic90high;
gen fre_lhdomestic90med=Free*lhdomestic90med;
gen fre_lhdomestic90low=Free*lhdomestic90low;
gen res_high_lh1990=res_lhdomestic90high*lh1990;

gen hdomes90high_low=lhdomestic90high/lhdomestic90low;
gen hdomes90med_low=lhdomestic90med/lhdomestic90low;
gen fre_hdomes90high_low=Free*hdomes90high_low;
gen fre_hdomes90med_low=Free*hdomes90med_low;

gen hdomes90high_low_benefits=hdomes90high_low*lh1990;
gen hdomes90med_low_benefits=hdomes90med_low*lh1990;
gen fre_hdomes90high_low_benefits=Free*hdomes90high_low_benefits;
gen fre_hdomes90med_low_benefits=Free*hdomes90med_low_benefits;

gen res_comlang=restrict*comlang;
gen res_distance=restrict*distance;
gen res_h_rgdpwok1990=restrict*h_rgdpwok1990;
gen res_s_rgdpwok1990=restrict*s_rgdpwok1990;
gen res_h1990_rgdpch=restrict*h1990_rgdpch;
gen res_s1990_rgdpch=restrict*s1990_rgdpch;

gen ldistance=log(distance);
gen lh_rgdpwok1990=log(h_rgdpwok1990);
gen ls_rgdpwok1990=log(s_rgdpwok1990);
gen hl1990_rgdpch=log(h1990_rgdpch);
gen sl1990_rgdpch=log(s1990_rgdpch);

gen res_ldistance=restrict*ldistance;
gen res_lh_rgdpwok1990=restrict*lh_rgdpwok1990;
gen res_ls_rgdpwok1990=restrict*ls_rgdpwok1990;
gen res_hl1990_rgdpch=restrict*hl1990_rgdpch;
gen res_sl1990_rgdpch=restrict*sl1990_rgdpch;

gen h_q5_3=(h1990_iq5/h1990_iq3);
gen h_q5_1=(h1990_iq5/h1990_iq1);
gen hs_domestic_high_low= (lhdomestic00high- lhdomestic00low)/( ls_high2000_new- ls_low2000_new);

*/
drop if home==1 ;
drop home;


/*

**********************************MED_LOW*********************************************;

reg ps_m_l2000_new restrict lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990med_new 
res_ps_mig1990med_new  , robust cluster(pcode);
outreg lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990med_new res_ps_mig1990med_new
using "C:\Alon\CR_migration\Outreg\regressions2\medlow2", se bdec(3) tdec(3) nocons nolabel 3aster replace;

reg ps_m_l2000_new restrict lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990med_new 
res_ps_mig1990med_new hdomes90med_low fre_hdomes90med_low  , robust cluster(pcode);
outreg lh1990 res_lh1990 hdomes90med_low fre_hdomes90med_low  
ps_mig1990low_new res_ps_mig1990low_new ps_mig1990med_new res_ps_mig1990med_new
using "C:\Alon\CR_migration\Outreg\regressions2\medlow2", se bdec(3) tdec(3) nocons nolabel 3aster append;



ivreg ps_m_l2000_new restrict res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990med_new 
res_ps_mig1990med_new (lh1990 =h_scandinavian h_english h_ger_fre) , robust cluster(pcode);
outreg lh1990  res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990med_new res_ps_mig1990med_new
using "C:\Alon\CR_migration\Outreg\regressions2\medlow2", se bdec(3) tdec(3) nocons nolabel 3aster append;

ivreg ps_m_l2000_new restrict res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990med_new 
res_ps_mig1990med_new hdomes90med_low fre_hdomes90med_low 
(lh1990 =h_scandinavian h_english h_ger_fre) , robust cluster(pcode);
outreg lh1990  res_lh1990 hdomes90med_low fre_hdomes90med_low
ps_mig1990low_new res_ps_mig1990low_new ps_mig1990med_new res_ps_mig1990med_new
using "C:\Alon\CR_migration\Outreg\regressions2\medlow2", se bdec(3) tdec(3) nocons nolabel 3aster append;






*/

********************HIGH_LOW******************************;




reg ps_h_l2000_new restrict lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new  , robust cluster(pcode);
outreg  lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new res_ps_mig1990high_new
using "C:\Alon\CR_migration\Outreg\regressions2\highlow2", se bdec(3) tdec(3) nocons nolabel 3aster replace;

reg ps_h_l2000_new restrict lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new hdomes90high_low fre_hdomes90high_low  , robust cluster(pcode);
outreg  lh1990 res_lh1990 hdomes90high_low fre_hdomes90high_low
 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new res_ps_mig1990high_new
using "C:\Alon\CR_migration\Outreg\regressions2\highlow2", se bdec(3) tdec(3) nocons nolabel 3aster append;



ivreg ps_h_l2000_new restrict res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new (lh1990 =h_scandinavian h_english h_ger_fre) , robust cluster(pcode);
outreg lh1990  res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new res_ps_mig1990high_new
using "C:\Alon\CR_migration\Outreg\regressions2\highlow2", se bdec(3) tdec(3) nocons nolabel 3aster append;

ivreg ps_h_l2000_new restrict res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new hdomes90high_low fre_hdomes90high_low
(lh1990 =h_scandinavian h_english h_ger_fre) , robust cluster(pcode);
outreg lh1990  res_lh1990 hdomes90high_low fre_hdomes90high_low
 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new res_ps_mig1990high_new
using "C:\Alon\CR_migration\Outreg\regressions2\highlow2", se bdec(3) tdec(3) nocons nolabel 3aster append;

/*

************************ROBUSTNESS TESTS******************;

**********************************MED_LOW*********************************************;

reg ps_m_l2000_new restrict lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990med_new 
res_ps_mig1990med_new  
comlang res_comlang ldistance res_ldistance hl1990_rgdpch res_hl1990_rgdpch s1990_rgdpch res_s1990_rgdpch
, robust cluster(pcode);
outreg lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990med_new res_ps_mig1990med_new
comlang res_comlang ldistance res_ldistance hl1990_rgdpch res_hl1990_rgdpch s1990_rgdpch res_s1990_rgdpch
using "C:\Alon\CR_migration\Outreg\regressions2\medlow3", se bdec(3) tdec(3) nocons nolabel 3aster replace;

reg ps_m_l2000_new restrict lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990med_new 
res_ps_mig1990med_new hdomes90med_low fre_hdomes90med_low  
comlang res_comlang ldistance res_ldistance hl1990_rgdpch res_hl1990_rgdpch s1990_rgdpch res_s1990_rgdpch
, robust cluster(pcode);
outreg lh1990 res_lh1990 hdomes90med_low fre_hdomes90med_low  
ps_mig1990low_new res_ps_mig1990low_new ps_mig1990med_new res_ps_mig1990med_new
comlang res_comlang ldistance res_ldistance hl1990_rgdpch res_hl1990_rgdpch s1990_rgdpch res_s1990_rgdpch
using "C:\Alon\CR_migration\Outreg\regressions2\medlow3", se bdec(3) tdec(3) nocons nolabel 3aster append;



ivreg ps_m_l2000_new restrict res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990med_new 
res_ps_mig1990med_new (lh1990 =h_scandinavian h_english h_ger_fre) 
comlang res_comlang ldistance res_ldistance hl1990_rgdpch res_hl1990_rgdpch s1990_rgdpch res_s1990_rgdpch
, robust cluster(pcode);
outreg lh1990  res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990med_new res_ps_mig1990med_new
comlang res_comlang ldistance res_ldistance hl1990_rgdpch res_hl1990_rgdpch s1990_rgdpch res_s1990_rgdpch
using "C:\Alon\CR_migration\Outreg\regressions2\medlow3", se bdec(3) tdec(3) nocons nolabel 3aster append;

ivreg ps_m_l2000_new restrict res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990med_new 
res_ps_mig1990med_new hdomes90med_low fre_hdomes90med_low 
(lh1990 =h_scandinavian h_english h_ger_fre) 
comlang res_comlang ldistance res_ldistance hl1990_rgdpch res_hl1990_rgdpch s1990_rgdpch res_s1990_rgdpch
, robust cluster(pcode);
outreg lh1990  res_lh1990 hdomes90med_low fre_hdomes90med_low
ps_mig1990low_new res_ps_mig1990low_new ps_mig1990med_new res_ps_mig1990med_new
comlang res_comlang ldistance res_ldistance hl1990_rgdpch res_hl1990_rgdpch s1990_rgdpch res_s1990_rgdpch
using "C:\Alon\CR_migration\Outreg\regressions2\medlow3", se bdec(3) tdec(3) nocons nolabel 3aster append;








********************HIGH_LOW******************************;




reg ps_h_l2000_new restrict lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new comlang res_comlang ldistance res_ldistance hl1990_rgdpch res_hl1990_rgdpch sl1990_rgdpch 
res_sl1990_rgdpch , robust cluster(pcode);
outreg  lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new res_ps_mig1990high_new
comlang res_comlang ldistance res_ldistance hl1990_rgdpch res_hl1990_rgdpch sl1990_rgdpch res_sl1990_rgdpch
using "C:\Alon\CR_migration\Outreg\regressions2\highlow3", se bdec(3) tdec(3) nocons nolabel 3aster replace;

reg ps_h_l2000_new restrict lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new hdomes90high_low fre_hdomes90high_low  
comlang res_comlang ldistance res_ldistance hl1990_rgdpch res_hl1990_rgdpch sl1990_rgdpch res_sl1990_rgdpch
, robust cluster(pcode);
outreg  lh1990 res_lh1990 hdomes90high_low fre_hdomes90high_low
 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new res_ps_mig1990high_new
comlang res_comlang ldistance res_ldistance hl1990_rgdpch res_hl1990_rgdpch sl1990_rgdpch res_sl1990_rgdpch
using "C:\Alon\CR_migration\Outreg\regressions2\highlow3", se bdec(3) tdec(3) nocons nolabel 3aster append;



ivreg ps_h_l2000_new restrict res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new (lh1990 =h_scandinavian h_english h_ger_fre) 
comlang res_comlang ldistance res_ldistance hl1990_rgdpch res_hl1990_rgdpch sl1990_rgdpch res_sl1990_rgdpch
, robust cluster(pcode);
outreg lh1990  res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new res_ps_mig1990high_new
comlang res_comlang ldistance res_ldistance hl1990_rgdpch res_hl1990_rgdpch sl1990_rgdpch res_sl1990_rgdpch
using "C:\Alon\CR_migration\Outreg\regressions2\highlow3", se bdec(3) tdec(3) nocons nolabel 3aster append;

ivreg ps_h_l2000_new restrict res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new hdomes90high_low fre_hdomes90high_low
(lh1990 =h_scandinavian h_english h_ger_fre) 
comlang res_comlang ldistance res_ldistance hl1990_rgdpch res_hl1990_rgdpch sl1990_rgdpch res_sl1990_rgdpch
, robust cluster(pcode);
outreg lh1990  res_lh1990 hdomes90high_low fre_hdomes90high_low
 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new res_ps_mig1990high_new
comlang res_comlang ldistance res_ldistance hl1990_rgdpch res_hl1990_rgdpch sl1990_rgdpch res_sl1990_rgdpch
using "C:\Alon\CR_migration\Outreg\regressions2\highlow3", se bdec(3) tdec(3) nocons nolabel 3aster append;


















