***this file computes OLS regressions w.r.t 16+10 countries***;
***dependent variable is the difference in emigration rates across skills***;


#delimit;
clear;
set more off;
set mem 200m;
set matsize 300;

use C:\Alon\CR_migration\CR_database.dta; 



********************Benchmark******************************;

reg ps_h_l2000_new  lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new  restrict if home~=1, robust cluster(pcode);
outreg  lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new res_ps_mig1990high_new
using "C:\Alon\CR_migration\final_results\benchmark", se bdec(3) tdec(3) nocons nolabel 3aster replace;

reg ps_h_l2000_new lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new hdomes90high_low fre_hdomes90high_low restrict if home~=1 , robust cluster(pcode);
outreg  lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new res_ps_mig1990high_new
hdomes90high_low fre_hdomes90high_low  
using "C:\Alon\CR_migration\final_results\benchmark", se bdec(3) tdec(3) nocons nolabel 3aster append;



********************benefits******************************;

reg ps_h_l2000_new lh_benefits80_85 res_lh_benefits80_85 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new  restrict if home~=1, robust cluster(pcode);
outreg  lh_benefits80_85 res_lh_benefits80_85 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new
using "C:\Alon\CR_migration\final_results\benefits", se bdec(3) tdec(3) nocons nolabel 3aster replace;

reg ps_h_l2000_new lh_benefits80_90 res_lh_benefits80_90 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new  restrict if home~=1, robust cluster(pcode);
outreg  lh_benefits80_90 res_lh_benefits80_90 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new
using "C:\Alon\CR_migration\final_results\benefits", se bdec(3) tdec(3) nocons nolabel 3aster append;

reg ps_h_l2000_new lh_benefits80_95 res_lh_benefits80_95 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new  restrict if home~=1, robust cluster(pcode);
outreg  lh_benefits80_95 res_lh_benefits80_95 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new
using "C:\Alon\CR_migration\final_results\benefits", se bdec(3) tdec(3) nocons nolabel 3aster append;

reg ps_h_l2000_new lh_benefits80_00 res_lh_benefits80_00 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new  restrict if home~=1, robust cluster(pcode);
outreg  lh_benefits80_00 res_lh_benefits80_00 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new
using "C:\Alon\CR_migration\final_results\benefits", se bdec(3) tdec(3) nocons nolabel 3aster append;

reg ps_h_l2000_new lh_benefits80_05 res_lh_benefits80_05 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new  restrict if home~=1, robust cluster(pcode);
outreg  lh_benefits80_05 res_lh_benefits80_05 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new
using "C:\Alon\CR_migration\final_results\benefits", se bdec(3) tdec(3) nocons nolabel 3aster append;


********************old age******************************;

reg ps_h_l2000_new  lhben_oldage80_00 res_lhben_oldage80_00 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new  restrict if home~=1, robust cluster(pcode);
outreg lhben_oldage80_00 res_lhben_oldage80_00 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new
using "C:\Alon\CR_migration\final_results\old_age", se bdec(3) tdec(3) nocons nolabel 3aster replace;

reg ps_h_l2000_new lhben_oldage80_00 res_lhben_oldage80_00 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new hdomes90high_low fre_hdomes90high_low restrict if home~=1 , robust cluster(pcode);
outreg lhben_oldage80_00 res_lhben_oldage80_00 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new hdomes90high_low fre_hdomes90high_low  
using "C:\Alon\CR_migration\final_results\old_age", se bdec(3) tdec(3) nocons nolabel 3aster append;


********************defense******************************;

reg ps_h_l2000_new lben_h res_lben_h ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new  restrict if home~=1, robust cluster(pcode);
outreg lben_h res_lben_h ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new res_ps_mig1990high_new
using "C:\Alon\CR_migration\final_results\defense", se bdec(3) tdec(3) nocons nolabel 3aster replace;

reg ps_h_l2000_new lben_h res_lben_h ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new hdomes90high_low fre_hdomes90high_low restrict if home~=1 , robust cluster(pcode);
outreg lben_h res_lben_h ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new res_ps_mig1990high_new 
hdomes90high_low fre_hdomes90high_low  
using "C:\Alon\CR_migration\final_results\defense", se bdec(3) tdec(3) nocons nolabel 3aster append;


********************Gini******************************;

reg ps_h_l2000_new  lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new h_gini00_before res_h_gini00_before restrict if home~=1, robust cluster(pcode);
outreg  lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new res_ps_mig1990high_new
h_gini00_before res_h_gini00_before
using "C:\Alon\CR_migration\final_results\gini", se bdec(3) tdec(3) nocons nolabel 3aster replace;

reg ps_h_l2000_new lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new hdomes90high_low fre_hdomes90high_low h_gini00_before res_h_gini00_before restrict 
if home~=1 , robust cluster(pcode);
outreg  lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new res_ps_mig1990high_new
hdomes90high_low fre_hdomes90high_low h_gini00_before res_h_gini00_before 
using "C:\Alon\CR_migration\final_results\gini", se bdec(3) tdec(3) nocons nolabel 3aster append;


********************Gravity******************************;

reg ps_h_l2000_new  lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new comlang res_comlang ldistance res_ldistance hl1990_rgdpch res_hl1990_rgdpch 
sl1990_rgdpch res_sl1990_rgdpch restrict if home~=1, robust cluster(pcode);
outreg  lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new res_ps_mig1990high_new
comlang res_comlang ldistance res_ldistance hl1990_rgdpch res_hl1990_rgdpch 
sl1990_rgdpch res_sl1990_rgdpch
using "C:\Alon\CR_migration\final_results\gravity", se bdec(3) tdec(3) nocons nolabel 3aster replace;

reg ps_h_l2000_new lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new hdomes90high_low fre_hdomes90high_low comlang res_comlang ldistance res_ldistance 
hl1990_rgdpch res_hl1990_rgdpch sl1990_rgdpch res_sl1990_rgdpch restrict 
if home~=1 , robust cluster(pcode);
outreg  lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new res_ps_mig1990high_new
hdomes90high_low fre_hdomes90high_low comlang res_comlang ldistance res_ldistance hl1990_rgdpch res_hl1990_rgdpch 
sl1990_rgdpch res_sl1990_rgdpch 
using "C:\Alon\CR_migration\final_results\gravity", se bdec(3) tdec(3) nocons nolabel 3aster append;


********************medium******************************;

reg ps_m_l2000_new  lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990med_new 
res_ps_mig1990med_new  restrict if home~=1, robust cluster(pcode);
outreg  lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990med_new res_ps_mig1990med_new
using "C:\Alon\CR_migration\final_results\medium", se bdec(3) tdec(3) nocons nolabel 3aster replace;

reg ps_m_l2000_new  lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990med_new 
res_ps_mig1990med_new hdomes90med_low fre_hdomes90med_low restrict if home~=1 , robust cluster(pcode);
outreg  lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990med_new res_ps_mig1990med_new
hdomes90med_low fre_hdomes90med_low  
using "C:\Alon\CR_migration\final_results\medium", se bdec(3) tdec(3) nocons nolabel 3aster append;


********************IV1******************************;

ivreg ps_h_l2000_new  ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new restrict (lh1990 res_lh1990 =h_scandinavian h_english h_germ h_fren 
res_h_scandinavian res_h_english res_h_germ res_h_fren) if home~=1, robust cluster(pcode);
outreg  lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new res_ps_mig1990high_new
using "C:\Alon\CR_migration\final_results\iv1", se bdec(3) tdec(3) nocons nolabel 3aster replace;

ivreg ps_h_l2000_new ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new hdomes90high_low fre_hdomes90high_low restrict (lh1990 res_lh1990 =h_scandinavian h_english 
h_germ h_fren res_h_scandinavian res_h_english res_h_germ res_h_fren) if home~=1 , robust cluster(pcode);
outreg  lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new res_ps_mig1990high_new
hdomes90high_low fre_hdomes90high_low  
using "C:\Alon\CR_migration\final_results\iv1", se bdec(3) tdec(3) nocons nolabel 3aster append;



********************IV2******************************;

ivreg ps_h_l2000_new  ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new restrict (lh1990 res_lh1990 =lhben_regional res_lhben_regional) if home~=1, robust cluster(pcode);
outreg  lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new res_ps_mig1990high_new
using "C:\Alon\CR_migration\final_results\iv2", se bdec(3) tdec(3) nocons nolabel 3aster replace;

ivreg ps_h_l2000_new ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new hdomes90high_low fre_hdomes90high_low restrict (lh1990 res_lh1990 =lhben_regional 
res_lhben_regional) if home~=1 , robust cluster(pcode);
outreg  lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new res_ps_mig1990high_new
hdomes90high_low fre_hdomes90high_low  
using "C:\Alon\CR_migration\final_results\iv2", se bdec(3) tdec(3) nocons nolabel 3aster append;


















