***this file creates computes OLS regressions w.r.t all 45 countries***;

#delimit;
clear;
set more off;
set mem 200m;
set matsize 300;

use C:\Alon\CR_migration\mig_fdi102004_year1_3.dta;

**********************unrestricted migration************;

reg  ps_m_l2000_new lh1990 if home~=1 & Free==1, robust cluster(pcode);
outreg lh1990 
using "C:\Alon\CR_migration\Outreg\regressions1\unres", se bdec(3) tdec(3) nocons nolabel 3aster replace;

reg  ps_m_l2000_new lh1990 ps_mig1990low_new ps_mig1990med_new if home~=1 & Free==1, robust cluster(pcode);
outreg lh1990 ps_mig1990low_new ps_mig1990med_new
using "C:\Alon\CR_migration\Outreg\regressions1\unres", se bdec(3) tdec(3) nocons nolabel 3aster append;

ivreg  ps_m_l2000_new ps_mig1990low_new ps_mig1990med_new (lh1990=h_scandinavian h_english h_ger_fre)  
if home~=1 & Free==1, robust cluster(pcode);
outreg lh1990 ps_mig1990low_new ps_mig1990med_new
using "C:\Alon\CR_migration\Outreg\regressions1\unres", se bdec(3) tdec(3) nocons nolabel 3aster append;

reg  ps_h_l2000_new lh1990 if home~=1 & Free==1, robust cluster(pcode);
outreg lh1990 
using "C:\Alon\CR_migration\Outreg\regressions1\unres", se bdec(3) tdec(3) nocons nolabel 3aster append;

reg  ps_h_l2000_new lh1990 ps_mig1990low_new ps_mig1990high_new if home~=1 & Free==1, robust cluster(pcode);
outreg lh1990 ps_mig1990low_new ps_mig1990high_new
using "C:\Alon\CR_migration\Outreg\regressions1\unres", se bdec(3) tdec(3) nocons nolabel 3aster append;

ivreg  ps_h_l2000_new ps_mig1990low_new ps_mig1990high_new (lh1990=h_scandinavian h_english h_ger_fre)  
if home~=1 & Free==1, robust cluster(pcode);
outreg lh1990 ps_mig1990low_new ps_mig1990high_new
using "C:\Alon\CR_migration\Outreg\regressions1\unres", se bdec(3) tdec(3) nocons nolabel 3aster append;









**********************restricted migration, developing countries************;

reg  ps_m_l2000_new lh1990 if home~=1 & Free~=1 & developing==1, robust cluster(pcode);
outreg lh1990 
using "C:\Alon\CR_migration\Outreg\regressions1\res_developing", se bdec(3) tdec(3) nocons nolabel 3aster replace;

reg ps_m_l2000_new lh1990 ps_mig1990low_new ps_mig1990med_new if home~=1 & Free~=1 & developing==1, robust cluster(pcode);
outreg lh1990 ps_mig1990low_new ps_mig1990med_new
using "C:\Alon\CR_migration\Outreg\regressions1\res_developing", se bdec(3) tdec(3) nocons nolabel 3aster append;

ivreg  ps_m_l2000_new ps_mig1990low_new ps_mig1990med_new (lh1990=h_scandinavian h_english h_ger_fre)  
if home~=1 & Free~=1  & developing==1, robust cluster(pcode);
outreg lh1990 ps_mig1990low_new ps_mig1990med_new
using "C:\Alon\CR_migration\Outreg\regressions1\res_developing", se bdec(3) tdec(3) nocons nolabel 3aster append;



reg  ps_h_l2000_new lh1990 if home~=1 & Free~=1 & developing==1, robust cluster(pcode);
outreg lh1990 
using "C:\Alon\CR_migration\Outreg\regressions1\res_developing", se bdec(3) tdec(3) nocons nolabel 3aster append;

reg ps_h_l2000_new lh1990 ps_mig1990low_new ps_mig1990high_new if home~=1 & Free~=1 & developing==1, robust cluster(pcode);
outreg lh1990 ps_mig1990low_new ps_mig1990high_new
using "C:\Alon\CR_migration\Outreg\regressions1\res_developing", se bdec(3) tdec(3) nocons nolabel 3aster append;

ivreg  ps_h_l2000_new ps_mig1990low_new ps_mig1990high_new (lh1990=h_scandinavian h_english h_ger_fre)  
if home~=1 & Free~=1 & developing==1, robust cluster(pcode);
outreg lh1990 ps_mig1990low_new ps_mig1990high_new
using "C:\Alon\CR_migration\Outreg\regressions1\res_developing", se bdec(3) tdec(3) nocons nolabel 3aster append;






**********************restricted migration, developed countries************;


reg  ps_m_l2000_new lh1990 if home~=1 & Free~=1 & developing~=1, robust cluster(pcode);
outreg lh1990 
using "C:\Alon\CR_migration\Outreg\regressions1\res_developed", se bdec(3) tdec(3) nocons nolabel 3aster replace;

reg ps_m_l2000_new lh1990 ps_mig1990low_new ps_mig1990med_new if home~=1 & Free~=1 & developing~=1, robust cluster(pcode);
outreg lh1990 ps_mig1990low_new ps_mig1990med_new
using "C:\Alon\CR_migration\Outreg\regressions1\res_developed", se bdec(3) tdec(3) nocons nolabel 3aster append;

ivreg  ps_m_l2000_new ps_mig1990low_new ps_mig1990med_new (lh1990=h_scandinavian h_english h_ger_fre)  
if home~=1 & Free~=1  & developing~=1, robust cluster(pcode);
outreg lh1990 ps_mig1990low_new ps_mig1990med_new
using "C:\Alon\CR_migration\Outreg\regressions1\res_developed", se bdec(3) tdec(3) nocons nolabel 3aster append;


reg  ps_h_l2000_new lh1990 if home~=1 & Free~=1 & developing~=1, robust cluster(pcode);
outreg lh1990 
using "C:\Alon\CR_migration\Outreg\regressions1\res_developed", se bdec(3) tdec(3) nocons nolabel 3aster append;

reg ps_h_l2000_new lh1990 ps_mig1990low_new ps_mig1990high_new if home~=1 & Free~=1 & developing~=1, robust cluster(pcode);
outreg lh1990 ps_mig1990low_new ps_mig1990high_new
using "C:\Alon\CR_migration\Outreg\regressions1\res_developed", se bdec(3) tdec(3) nocons nolabel 3aster append;

ivreg  ps_h_l2000_new ps_mig1990low_new ps_mig1990high_new (lh1990=h_scandinavian h_english h_ger_fre)  
if home~=1 & Free~=1 & developing~=1, robust cluster(pcode);
outreg lh1990 ps_mig1990low_new ps_mig1990high_new
using "C:\Alon\CR_migration\Outreg\regressions1\res_developed", se bdec(3) tdec(3) nocons nolabel 3aster append;








