***this file creates computes OLS regressions w.r.t all 45 countries***;
***dependent variable is the difference in emigration rates across skills***;


#delimit;
clear;
set more off;
set mem 200m;
set matsize 300;

use C:\Alon\CR_migration\mig_fdi102004_year1_3.dta;
drop if developing==1;
drop developing;
/*keep restrict Free  ps_mig2000low_new ps_mig2000med_new ps_mig2000high_new ps_mig1990_new ps_mig2000_new 
ps_h_l2000_new ps_h_l1990_new ps_h_m2000_new ps_h_m1990_new ps_m_l2000_new ps_m_l1990_new h_l_flow_new m_l_flow_new 
h_m_flow_new d_language distance h_french h_scandinavian h_english h_german h_ger_fre lh1990_benefit_pc2 hdomestic90low 
hdomestic00low hdomestic90med hdomestic00med hdomestic90high hdomestic00high lhdomestic90low lhdomestic00low 
lhdomestic90med lhdomestic00med lhdomestic90high lhdomestic00high*/

gen res_lh1990=restrict*lh1990;
gen res_ps_mig1990low_new=restrict*ps_mig1990low_new;
gen res_ps_mig1990med_new=restrict*ps_mig1990med_new;
gen res_ps_mig1990high_new=restrict*ps_mig1990high_new;
gen res_lhdomestic90low=restrict*lhdomestic90low;
gen res_lhdomestic90med=restrict*lhdomestic90med;
gen res_lhdomestic90high=restrict*lhdomestic90high;
gen res_sigma90=restrict*sigma90;
gen res_sigma00=restrict*sigma00;

gen fre_lhdomestic90high=Free*lhdomestic90high;
gen fre_lhdomestic90med=Free*lhdomestic90med;
gen fre_lhdomestic90low=Free*lhdomestic90low;
gen res_high_lh1990=res_lhdomestic90high*lh1990;

gen hdomes90high_low=lhdomestic90high/lhdomestic90low;
gen hdomes90med_low=lhdomestic90med/lhdomestic90low;
gen fre_hdomes90high_low=Free*hdomes90high_low;
gen fre_hdomes90med_low=Free*hdomes90med_low;

gen hdomes90high_low_benefits=hdomes90high_low*lh1990;
gen hdomes90med_low_benefits=hdomes90med_low*lh1990;
gen fre_hdomes90high_low_benefits=Free*hdomes90high_low_benefits;
gen fre_hdomes90med_low_benefits=Free*hdomes90med_low_benefits;



**********************************MED_LOW*********************************************;


/*reg ps_m_l2000_new lh1990 ps_mig1990low_new ps_mig1990med_new if home~=1 , robust cluster(pcode);
outreg lh1990 ps_mig1990low_new ps_mig1990med_new
using "C:\Alon\CR_migration\Outreg\regressions2\medlow", se bdec(3) tdec(3) nocons nolabel 3aster replace;*/


reg ps_m_l2000_new restrict lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990med_new 
res_ps_mig1990med_new if home~=1 , robust cluster(pcode);
outreg lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990med_new res_ps_mig1990med_new
using "C:\Alon\CR_migration\Outreg\regressions2\medlow", se bdec(3) tdec(3) nocons nolabel 3aster replace;

reg ps_m_l2000_new restrict lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990med_new 
res_ps_mig1990med_new hdomes90med_low fre_hdomes90med_low if home~=1 , robust cluster(pcode);
outreg lh1990 res_lh1990 hdomes90med_low fre_hdomes90med_low  
ps_mig1990low_new res_ps_mig1990low_new ps_mig1990med_new res_ps_mig1990med_new
using "C:\Alon\CR_migration\Outreg\regressions2\medlow", se bdec(3) tdec(3) nocons nolabel 3aster append;




ivreg ps_m_l2000_new restrict res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990med_new 
res_ps_mig1990med_new (lh1990 =h_scandinavian h_english h_ger_fre) if home~=1, robust cluster(pcode);
outreg lh1990  res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990med_new res_ps_mig1990med_new
using "C:\Alon\CR_migration\Outreg\regressions2\medlow", se bdec(3) tdec(3) nocons nolabel 3aster append;

ivreg ps_m_l2000_new restrict res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990med_new 
res_ps_mig1990med_new hdomes90med_low fre_hdomes90med_low 
(lh1990 =h_scandinavian h_english h_ger_fre) if home~=1, robust cluster(pcode);
outreg lh1990  res_lh1990 hdomes90med_low fre_hdomes90med_low
ps_mig1990low_new res_ps_mig1990low_new ps_mig1990med_new res_ps_mig1990med_new
using "C:\Alon\CR_migration\Outreg\regressions2\medlow", se bdec(3) tdec(3) nocons nolabel 3aster append;








********************HIGH_LOW******************************;





/*reg ps_h_l2000_new lh1990 ps_mig1990low_new ps_mig1990high_new if home~=1 , robust cluster(pcode);
outreg  lh1990 ps_mig1990low_new ps_mig1990high_new 
using "C:\Alon\CR_migration\Outreg\regressions2\highlow", se bdec(3) tdec(3) nocons nolabel 3aster replace;*/


reg ps_h_l2000_new restrict lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new if home~=1 , robust cluster(pcode);
outreg  lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new res_ps_mig1990high_new
using "C:\Alon\CR_migration\Outreg\regressions2\highlow", se bdec(3) tdec(3) nocons nolabel 3aster replace;

reg ps_h_l2000_new restrict lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new hdomes90high_low fre_hdomes90high_low if home~=1 , robust cluster(pcode);
outreg  lh1990 res_lh1990 hdomes90high_low fre_hdomes90high_low
 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new res_ps_mig1990high_new
using "C:\Alon\CR_migration\Outreg\regressions2\highlow", se bdec(3) tdec(3) nocons nolabel 3aster append;



ivreg ps_h_l2000_new restrict res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new (lh1990 =h_scandinavian h_english h_ger_fre) if home~=1, robust cluster(pcode);
outreg lh1990  res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new res_ps_mig1990high_new
using "C:\Alon\CR_migration\Outreg\regressions2\highlow", se bdec(3) tdec(3) nocons nolabel 3aster append;

ivreg ps_h_l2000_new restrict res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new hdomes90high_low fre_hdomes90high_low
(lh1990 =h_scandinavian h_english h_ger_fre) if home~=1, robust cluster(pcode);
outreg lh1990  res_lh1990 hdomes90high_low fre_hdomes90high_low
 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new res_ps_mig1990high_new
using "C:\Alon\CR_migration\Outreg\regressions2\highlow", se bdec(3) tdec(3) nocons nolabel 3aster append;





















