***this file creates computes OLS regressions w.r.t all 45 countries***;
***dependent variable is sigma00***;


#delimit;
clear;
set more off;
set mem 200m;
set matsize 300;

use C:\Alon\CR_migration\mig_fdi102004_year1_3.dta;
drop if developing==1;
drop developing;
gen restrict=1-Free;
replace restrict=0 if scode==hcode;
replace Free=1 if scode==hcode;

gen res_lh1990=restrict*lh1990;
gen res_ps_mig1990low_new=restrict*ps_mig1990low_new;
gen res_ps_mig1990med_new=restrict*ps_mig1990med_new;
gen res_ps_mig1990high_new=restrict*ps_mig1990high_new;
gen res_lhdomestic90low=restrict*lhdomestic90low;
gen res_lhdomestic90med=restrict*lhdomestic90med;
gen res_lhdomestic90high=restrict*lhdomestic90high;
gen res_sigma90=restrict*sigma90;
gen res_sigma00=restrict*sigma00;

*******************************************************************************************************;
*******************************************************************************************************;


reg  sigma00 restrict lh1990 res_lh1990 if home~=1, robust cluster(pcode);



reg sigma00 restrict lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new if home~=1 , robust cluster(pcode);



reg sigma00 restrict lh1990 res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new lhdomestic90low res_lhdomestic90low lhdomestic90high res_lhdomestic90high
if home~=1 , robust cluster(pcode);



ivreg sigma00 restrict res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new (lh1990 =h_scandinavian h_english h_ger_fre) if home~=1, robust cluster(pcode);



ivreg sigma00 restrict res_lh1990 ps_mig1990low_new res_ps_mig1990low_new ps_mig1990high_new 
res_ps_mig1990high_new lhdomestic90low res_lhdomestic90low lhdomestic90high res_lhdomestic90high
(lh1990 =h_scandinavian h_english h_ger_fre) if home~=1, robust cluster(pcode);





















